/*
 * TillPositionListener Interface
 *
 * 07/07/04
 *
 * Copyright:
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 5724-AEF
 * (C) Copyright IBM Corp. 2004.
 *
 */
package com.userco.retail.AEF.event;

import com.ibm.retail.AEF.event.*;
import java.rmi.*;

/**
 * Listener interface for receiving <code>TillPositionEvents</code> from the
 * terminal session. 
 *
 */

public interface TillPositionListener extends POSAppEventListener
{
   /**
    * The till contents have changed.
    *
    * @param evt 
    *
    */
   public void tillPositionChanged(TillPositionEvent evt) throws RemoteException;

}
