/*
 * VoidTransAction
 *
 * 07/07/04
 *
 * Copyright:
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 5724-AEF
 * (C) Copyright IBM Corp. 2004.
 *
 */
package com.userco.retail.client.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.beans.*;
import java.util.*;
import java.util.prefs.*;

import com.ibm.retail.AEF.automation.*;

import java.util.logging.*;

import com.ibm.retail.si.Copyright;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * This class voids the current transaction.
 */
public class VoidTransAction extends GUIAction
{

   static String copyright()
      { return com.ibm.retail.si.Copyright.IBM_COPYRIGHT_SHORT; }

   private static Log log = LogFactory.getLog(VoidTransAction.class);



   /**
    * Called when the action is to be performed (possibly from pressing a button).
    *
    * @param evt
    *
    */
   public void actionPerformed(ActionEvent evt)
   {      
         Controller controller = (Controller)(getValue("controller"));
         controller.voidTransaction();
   }




   // Member variables
}
